GEMRB(6)

NAME
gemrb - emulator for Infinity Engine-based games

SYNOPSIS
gemrb [-c config-file]
torment

DESCRIPTION
gemrb is an emulator for Infinity Engine-based games, fine RPGs like Baldur's Gate, Icewind Dale or Planescape: Torment. gemrb is only an engine; to actually play anything you have to have data from the original games installed where they can be found by gemrb.

OPTIONS

-c  FILE
    use other configuration file than default gemrb.cfg. Note: You can also use program's name as a mean to select the configuration file. For example, if the program's name is torment instead of gemrb, the engine first seaches for torment.cfg and only if it's not found it searches for gemrb.cfg. To use this feature, just create a symbolic link torment pointing to gemrb binary and run torment.

Configuration File
Configuration file consists of pairs PARAMETER=VALUE, each on its own line. The case of PARAMETER is not significant, GameType is the same as GAMETYPE. If the same PARAMETER is defined more than once, only the last occurence is used. Empty lines and lines starting with `#' (hash sign) are ignored. Parameters:
GameType=(bg1|bg2|iwd|iwd2|how|pst)
    Type of the game. The value is a name of subdirectory in override/ and GUIScripts/ directories with game type-specific files and scripts. It is at present also used for various tweaks hardcoded in GemRB engine.
GameName=STRING
    Arbitrary name of the game. It will be displayed in the window's title bar.
GamePath=PATH
    Path to the directory where the original game is installed. If you can't install the game under MS Windows or with WINE, you can try to unpack the data files with the unshield program found at http://synce.sourceforge.net.
CD1=PATH
CD2=PATH
CDn=...
    Path to the data files for the game's particular CDs.
Width=INT
    Game window width (in pixels).
Height=INT
    Game window height (in pixels).
Bpp=INT
    Color depth of the game window (in bits per pixel).
Fullscreen=(0|1)
    Whether the game should run in fullscreen mode. (Note that fullcreen mode is currently buggy).
TooltipDelay=INT
    Delay (in ms) before tooltips are displayed when the mouse is not moving. Reasonable number for this option is e.g. 500.
VolumeAmbients=INT
    Volume of ambient sounds in percents. The default is 100.
VolumeMovie=INT
    Volume during movie playback in percents. The default is 100.
VolumeMusic=INT
    Volume of background music in percents. The default is 100.
VolumeSFX=INT
    Volume of sound effects in percents. The default is 100.
VolumeVoices=INT
    Volume of PC or NPC voices in percents. The default is 100.
SkipIntroVideos=(0|1)
    This parameter is meant for developers. If set to 1, the intro and logo videos are skipped to save developer's nerves. The default is 0.
DrawFPS=(0|1)
    This parameter is meant for developers. If set to 1, the current FPS (Frames per Second) value is drawn in the top left window corner. The default is 0.
FogOfWar=(0|1)
    This parameter is meant for developers. If set to 1, the unexplored parts of an area are blacked out. Since the unexplored bitmap is not updated by actors yet, it's set to 0 by default.
EnableCheatKeys=(0|1)
    This parameter is meant for developers. If set to 1, certain keys allow you to inspect the internal state of objects, do forbidden things, etc. The keys are listed in the CheatKeys.txt file. Do NOT use this option unless you want to make your hands dirty :-). The default is 0.
ScriptDebugMode=(n)
    This parameter is meant for developers. It is a combination of bit values 1 - count references, 2 - display cutscene warnings, 4 - display variable warnings, 8 - display action warnings, 16 - display trigger warnings. The default is 0.
CaseSensitive=(0|1)
    When this parameter is set to 1, the engine will try to find files regardless of their names' case at the cost of a slight speed penalty. This is especially important when using game files on CD-ROMs, where the files can't be renamed. Like many Windows programs, the original games use inconsistent mix of lower/upper case letters for naming and referencing their files. Set this parameter to 1 on Unix-like systems.
DelayPlugin=FILENAME
    Named plugin will be loaded after other (nondelayed) plugins were loaded. FILENAME is a name without path, but with extension, for example libNullSound.so or libNullSound.dll. You can use this parameter more than once.
SkipPlugin=FILENAME
    Named plugin will not be loaded. FILENAME is a name without path, but with extension, for example libNullSound.so or libNullSound.dll. You can use this parameter more than once.
SaveAsOriginal=(0|1)
    Set this parameter to 1, if you want to keep the save game compatible with the original engine.
CachePath=PATH
    User-writable directory where the engine caches uncompressed and temporary files.
GemRBPath=PATH
    Path to the GemRB installation. (To be obsoleted).
GUIScriptsPath=PATH
    Path to the directory with scripts controlling the game's GUI.
SavePath=PATH
    Path to the directory with save games. Note that this directory has to contain save/ and/or eventually mpsave/ subdirectories and that only these subdirectories contain the actual saved games. SavePath defaults to GamePath.
GameOnCD=(0|1)
    defaults to 0.
GameDataPath=PATH
    Path to the original game's installed data files, relative to GamePath. Usually it's data.
GameOverridePath=PATH
    Path to the original game's override dir, relative to GamePath. Usually it's override. Original games use this directory to place last-minute patches.
GemRBOverridePath=PATH
    Path where gemrb looks for its game override directory. It defaults to GemRBPath. The original games hardcoded this information in the engine.

FILES
/usr/local/etc/gemrb.cfg
    system-wide configuration file
/usr/local/share/gemrb/override/
    directory with gemrb-distributed data files. These used to be hardcoded in the original engine. The files are sorted into directories for specific games.
/usr/local/share/gemrb/GUIScripts/
    directory with Python scripts providing GUI setup and interaction. The files are sorted into directories for specific games.
~/.gemrb/gemrb.cfg
~/.gemrb/override/
~/.gemrb/GUIScripts/
    user's own configuration and data files.
~/.gemrb/cache/
    cache directory

BUGS
Many. gemrb is still in an early development stage and not nearly complete. If you stumble over something which is supposed to work, either make a bug report at http://sourceforge.net/projects/gemrb or come to IRC channel #GemRB at FreeNode.

AUTHOR
The GemRB Project development team at http://gemrb.sourceforge.net

COPYING
Copyright (C) 2003-2008 The GemRB Project This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.